Subject: bug#16526: 24.3.50; scroll-conservatively & c-mode regression

From: Stefan Monnier <[email-masked]>
Date: Mon, 27 Jan 2014 19:16:06 -0500

>> Another option is to put a syntax-table property on those rare
>> open-paren-in-column-0-inside-comment-or-string, so that
>> open-paren-in-column-0-is-defun-start still works properly.
> Wouldn't we then have to parse the entire buffer for strings and
> comments in order to detect these parens?  More or less this would
> duplicate the effort of `syntax-ppss'.

IIUC CC-mode does do such scanning to place syntax-table properties on
various elements (it should do it from syntax-propertize-function, but
for various reasons it does it at various other places instead, in
piecemeal fashion).  So it would just be adding one more element to
find and mark.

        Stefan